import pandas as pd
from datetime import datetime

# 读取CSV文件为DataFrame
df = pd.read_csv('inform.csv')

# 签到时间与签退时间
df['Check_in'] = pd.to_datetime(df['签到时间'])
df['Check_out'] = pd.to_datetime(df['签退时间'])
# 开始时间与结束时间
df['begin_time'] = pd.to_datetime(df['开始时间'])
df['end_time'] = pd.to_datetime(df['结束时间'])
# 提取年、月、日
df['year'] = df['Check_in'].dt.year
df['month'] = df['Check_in'].dt.month
df['day'] = df['Check_in'].dt.day

df['in_hour'] = df['Check_in'].dt.hour
df['out_hour'] = df['Check_out'].dt.hour
df['begin_hour'] = df['begin_time'].dt.hour
df['end_hour'] = df['end_time'].dt.hour

# 计算预约时长并将结果转为分钟
df['reserve_minutes'] = (df['end_time'] - df['begin_time']).dt.total_seconds() // 60

df['campus'] = df['空间区域'].str[:4]
df['floor'] = df['空间区域'].str[5:9]
df['area'] = df['空间区域'].str[10:]
df_encoded = pd.get_dummies(df, columns=['用户类型', '使用状态', '预约方式', '违约类型'])

# 打印结果
print(df_encoded)
df_encoded.to_csv('process_inform.csv', index=False)
