import pandas as pd
import matplotlib.pyplot as plt
from pylab import *
from matplotlib.font_manager import FontProperties
#支持中文
mpl.rcParams['font.sans-serif'] = ['SimHei']

df = pd.read_csv('process_inform.csv')
# print(type(df))

# 将每个校区的数据分开
frame = pd.DataFrame(df)
minhang = frame[frame['campus']=='闵行校区']
putuo = frame[frame['campus']=='普陀校区']
minhang.to_csv('闵行校区.csv', index=True)
putuo.to_csv('普陀校区.csv', index=True)


# 统计每个区域在这一段时间内的使用时长
frame = pd.DataFrame(df,columns=['区域名称','使用时长'])
dict={}
for i in range(len(frame.iloc[:,0])):
    if str(frame.iloc[i,0]) not in dict:
        dict[str(frame.iloc[i,0])] = int(frame.iloc[i,1])
    else:
        dict[str(frame.iloc[i,0])]+= int(frame.iloc[i,1])
seat_time=pd.DataFrame()
list1=[]
list2=[]
for i in dict:
    list1.append(i)
    list2.append(dict[i])
seat_time['区域名称']=list1
seat_time['座位使用时长统计']=list2
seat_time.to_csv('inform_area_time.csv', index=True)

# 统计按每个空间区域名称划分座位使用频数
area_feq=df['区域名称'].value_counts().sort_values(ascending=False)
area_feq.to_csv('inform_area_feq.csv', index=True)

# 统计每个座位的使用频率
seat_feq=df['空间编号'].value_counts().sort_values(ascending=False)
seat_feq.to_csv('inform_seat_feq.csv', index=True)
# print(seat_feq)
# 柱状图
# df['空间编号'].value_counts().plot.bar()
# plt.show()

# 统计每个座位在这一段时间内的使用时长
frame = pd.DataFrame(df,columns=['空间编号','使用时长'])
dict={}
for i in range(len(frame.iloc[:,0])):
    if str(frame.iloc[i,0]) not in dict:
        dict[str(frame.iloc[i,0])] = int(frame.iloc[i,1])
    else:
        dict[str(frame.iloc[i,0])]+= int(frame.iloc[i,1])
seat_time=pd.DataFrame()
list1=[]
list2=[]
for i in dict:
    list1.append(i)
    list2.append(dict[i])
seat_time['空间编号']=list1
seat_time['座位使用时长统计']=list2
seat_time.to_csv('inform_seat_time.csv', index=True)


# 统计每个院的学生去图书馆的频率
faculty_feq=df['所在部门'].value_counts().sort_values(ascending=False)
faculty_feq.to_csv('inform_faculty_feq.csv', index=True)
# print(faculty_feq)
# # 柱状图
# faculty_feq.plot.bar()
# plt.show()

